Develop and Download Open Source Software

Browse CVS Repository

Diff of /satellite/satellite4/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Revision Graph Revision Graph | View Patch Patch

revision 1.2 by orrisroot, Wed Jul 28 05:44:24 2004 UTC revision 1.3 by orrisroot, Wed Jul 28 13:47:05 2004 UTC
# Line 20133  _ACEOF Line 20133  _ACEOF
20133  fi  fi
20134    
20135    
20136  echo "$as_me:$LINENO: checking for tgetent in -lncurses" >&5  # check termcap library
20137      TERMCAP_LIBS=""
20138    
20139    # checking headers
20140    
20141    
20142    
20143    
20144    for ac_header in ncurses.h termcap.h curses.h term.h
20145    do
20146    as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
20147    if eval "test \"\${$as_ac_Header+set}\" = set"; then
20148      echo "$as_me:$LINENO: checking for $ac_header" >&5
20149    echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
20150    if eval "test \"\${$as_ac_Header+set}\" = set"; then
20151      echo $ECHO_N "(cached) $ECHO_C" >&6
20152    fi
20153    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
20154    echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
20155    else
20156      # Is the header compilable?
20157    echo "$as_me:$LINENO: checking $ac_header usability" >&5
20158    echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
20159    cat >conftest.$ac_ext <<_ACEOF
20160    #line $LINENO "configure"
20161    /* confdefs.h.  */
20162    _ACEOF
20163    cat confdefs.h >>conftest.$ac_ext
20164    cat >>conftest.$ac_ext <<_ACEOF
20165    /* end confdefs.h.  */
20166    $ac_includes_default
20167    #include <$ac_header>
20168    _ACEOF
20169    rm -f conftest.$ac_objext
20170    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
20171      (eval $ac_compile) 2>&5
20172      ac_status=$?
20173      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20174      (exit $ac_status); } &&
20175             { ac_try='test -s conftest.$ac_objext'
20176      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
20177      (eval $ac_try) 2>&5
20178      ac_status=$?
20179      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20180      (exit $ac_status); }; }; then
20181      ac_header_compiler=yes
20182    else
20183      echo "$as_me: failed program was:" >&5
20184    sed 's/^/| /' conftest.$ac_ext >&5
20185    
20186    ac_header_compiler=no
20187    fi
20188    rm -f conftest.$ac_objext conftest.$ac_ext
20189    echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
20190    echo "${ECHO_T}$ac_header_compiler" >&6
20191    
20192    # Is the header present?
20193    echo "$as_me:$LINENO: checking $ac_header presence" >&5
20194    echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
20195    cat >conftest.$ac_ext <<_ACEOF
20196    #line $LINENO "configure"
20197    /* confdefs.h.  */
20198    _ACEOF
20199    cat confdefs.h >>conftest.$ac_ext
20200    cat >>conftest.$ac_ext <<_ACEOF
20201    /* end confdefs.h.  */
20202    #include <$ac_header>
20203    _ACEOF
20204    if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
20205      (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
20206      ac_status=$?
20207      grep -v '^ *+' conftest.er1 >conftest.err
20208      rm -f conftest.er1
20209      cat conftest.err >&5
20210      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20211      (exit $ac_status); } >/dev/null; then
20212      if test -s conftest.err; then
20213        ac_cpp_err=$ac_c_preproc_warn_flag
20214      else
20215        ac_cpp_err=
20216      fi
20217    else
20218      ac_cpp_err=yes
20219    fi
20220    if test -z "$ac_cpp_err"; then
20221      ac_header_preproc=yes
20222    else
20223      echo "$as_me: failed program was:" >&5
20224    sed 's/^/| /' conftest.$ac_ext >&5
20225    
20226      ac_header_preproc=no
20227    fi
20228    rm -f conftest.err conftest.$ac_ext
20229    echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
20230    echo "${ECHO_T}$ac_header_preproc" >&6
20231    
20232    # So?  What about this header?
20233    case $ac_header_compiler:$ac_header_preproc in
20234      yes:no )
20235        { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
20236    echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
20237        { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
20238    echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
20239        (
20240          cat <<\_ASBOX
20241    ## ------------------------------------ ##
20242    ## Report this to bug-autoconf@gnu.org. ##
20243    ## ------------------------------------ ##
20244    _ASBOX
20245        ) |
20246          sed "s/^/$as_me: WARNING:     /" >&2
20247        ;;
20248      no:yes )
20249        { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
20250    echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
20251        { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
20252    echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
20253        { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
20254    echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
20255        (
20256          cat <<\_ASBOX
20257    ## ------------------------------------ ##
20258    ## Report this to bug-autoconf@gnu.org. ##
20259    ## ------------------------------------ ##
20260    _ASBOX
20261        ) |
20262          sed "s/^/$as_me: WARNING:     /" >&2
20263        ;;
20264    esac
20265    echo "$as_me:$LINENO: checking for $ac_header" >&5
20266    echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
20267    if eval "test \"\${$as_ac_Header+set}\" = set"; then
20268      echo $ECHO_N "(cached) $ECHO_C" >&6
20269    else
20270      eval "$as_ac_Header=$ac_header_preproc"
20271    fi
20272    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
20273    echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
20274    
20275    fi
20276    if test `eval echo '${'$as_ac_Header'}'` = yes; then
20277      cat >>confdefs.h <<_ACEOF
20278    #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
20279    _ACEOF
20280    
20281    fi
20282    
20283    done
20284    
20285    
20286    # checking libs
20287      echo "$as_me:$LINENO: checking for tgetent in -lncurses" >&5
20288  echo $ECHO_N "checking for tgetent in -lncurses... $ECHO_C" >&6  echo $ECHO_N "checking for tgetent in -lncurses... $ECHO_C" >&6
20289  if test "${ac_cv_lib_ncurses_tgetent+set}" = set; then  if test "${ac_cv_lib_ncurses_tgetent+set}" = set; then
20290    echo $ECHO_N "(cached) $ECHO_C" >&6    echo $ECHO_N "(cached) $ECHO_C" >&6
# Line 20193  else Line 20344  else
20344    have_ncurses=no    have_ncurses=no
20345  fi  fi
20346    
20347  echo "$as_me:$LINENO: checking for tgetent in -lcurses" >&5    echo "$as_me:$LINENO: checking for tgetent in -lcurses" >&5
20348  echo $ECHO_N "checking for tgetent in -lcurses... $ECHO_C" >&6  echo $ECHO_N "checking for tgetent in -lcurses... $ECHO_C" >&6
20349  if test "${ac_cv_lib_curses_tgetent+set}" = set; then  if test "${ac_cv_lib_curses_tgetent+set}" = set; then
20350    echo $ECHO_N "(cached) $ECHO_C" >&6    echo $ECHO_N "(cached) $ECHO_C" >&6
# Line 20253  else Line 20404  else
20404    have_curses=no    have_curses=no
20405  fi  fi
20406    
20407  echo "$as_me:$LINENO: checking for tgetent in -ltermcap" >&5    echo "$as_me:$LINENO: checking for tgetent in -ltermcap" >&5
20408  echo $ECHO_N "checking for tgetent in -ltermcap... $ECHO_C" >&6  echo $ECHO_N "checking for tgetent in -ltermcap... $ECHO_C" >&6
20409  if test "${ac_cv_lib_termcap_tgetent+set}" = set; then  if test "${ac_cv_lib_termcap_tgetent+set}" = set; then
20410    echo $ECHO_N "(cached) $ECHO_C" >&6    echo $ECHO_N "(cached) $ECHO_C" >&6
# Line 20313  else Line 20464  else
20464    have_termcap=no    have_termcap=no
20465  fi  fi
20466    
20467  TERMCAP_LIBS=""  
20468  if test x$have_ncurses = xyes; then    if test x$have_ncurses = xyes; then
20469    TERMCAP_LIBS="-lncurses"      TERMCAP_LIBS="-lncurses"
20470  elif test x$have_curses = xyes; then    elif test x$have_curses = xyes; then
20471    TERMCAP_LIBS="-lcurses"      TERMCAP_LIBS="-lcurses"
20472  elif test x$have_termcap = xyes; then    elif test x$have_termcap = xyes; then
20473    TERMCAP_LIBS="-ltermcap"      TERMCAP_LIBS="-ltermcap"
20474  else    else
20475    { { echo "$as_me:$LINENO: error: *** curses or termcap lib not installed - please install first ***" >&5      { { echo "$as_me:$LINENO: error: *** curses or termcap lib not installed - please install first ***" >&5
20476  echo "$as_me: error: *** curses or termcap lib not installed - please install first ***" >&2;}  echo "$as_me: error: *** curses or termcap lib not installed - please install first ***" >&2;}
20477     { (exit 1); exit 1; }; }     { (exit 1); exit 1; }; }
20478  fi    fi
20479    
20480    
20481    
20482    
20483  # FIXME: Replace `main' with a function in `-lsatellite':  # FIXME: Replace `main' with a function in `-lsatellite':
# Line 21149  fi Line 21302  fi
21302    
21303    
21304    
   
   
   
   
21305  for ac_header in fcntl.h float.h locale.h malloc.h stddef.h stdlib.h string.h strings.h sys/file.h sys/ioctl.h sys/param.h sys/time.h sys/timeb.h termios.h unistd.h \  for ac_header in fcntl.h float.h locale.h malloc.h stddef.h stdlib.h string.h strings.h sys/file.h sys/ioctl.h sys/param.h sys/time.h sys/timeb.h termios.h unistd.h \
21306                    vfork.h errno.h limits.h memory.h getopt.h pwd.h \                    vfork.h errno.h limits.h memory.h getopt.h pwd.h \
                   ncurses.h termcap.h curses.h term.h \  
21307                    windows.h direct.h io.h process.h                    windows.h direct.h io.h process.h
21308  do  do
21309  as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`  as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`

Legend:
Removed from v.1.2  
changed lines
  Added in v.1.3

Back to OSDN">Back to OSDN
ViewVC Help
Powered by ViewVC 1.1.26